org.icefaces.ace.component.dynamicresource

## Class DynamicResource

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.dynamicresource.DynamicResourceBase
      - - org.icefaces.ace.component.dynamicresource.DynamicResource

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IDynamicResource

      public class DynamicResource
      extends DynamicResourceBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.dynamicresource.DynamicResourceBase

      `DynamicResourceBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.dynamicresource.DynamicResourceBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicResource()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `encodeContentDispositionFilename(java.lang.String fileName)`
    `java.lang.String` | `getHashString()`
    `javax.faces.application.Resource` | `getResource()` Return the value of the `resource` property.

    - ### Methods inherited from class org.icefaces.ace.component.dynamicresource.DynamicResourceBase

      `getAccesskey, getFamily, getFileName, getImage, getLabel, getLastModified, getMimeType, getScope, getStyle, getStyleClass, getTarget, getType, isAttachment, isDisabled, isPropertySet, setAccesskey, setAttachment, setDisabled, setFileName, setImage, setLabel, setLastModified, setMimeType, setResource, setScope, setStyle, setStyleClass, setTarget, setType, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicResource

          public DynamicResource()

  - ### Method Detail

    - #### getResource

          public javax.faces.application.Resource getResource()

      Description copied from class: `DynamicResourceBase`

      Return the value of the `resource` property.

      Contents: The object of type javax.faces.application.Resource that will be used.

      Specified by:
        `getResource` in interface `IDynamicResource`
      Overrides:
        `getResource` in class `DynamicResourceBase`

    - #### getHashString

          public java.lang.String getHashString()

    - #### encodeContentDispositionFilename

          public static java.lang.String encodeContentDispositionFilename(java.lang.String fileName)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.